<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="mesmac/abq/PtGradu" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="m">m</Parameter>
<Parameter name="k">k</Parameter>
<Parameter name="h">h</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Comment>
<P>Renvoie le point d&apos;abscisse k*f(m) sur la demi-droite
orientée [AB) et sa (h)graduation.</P>
</Comment>
<Objects>
<Expression name="h" n="0" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0.32499999999999984" prompt="Valeur">Expression &quot;0.32499999999999984&quot; à 0.0, 0.0</Expression>
<Expression name="k" n="1" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0.5625000000000014" prompt="Valeur">Expression &quot;0.5625000000000014&quot; à 0.0, 0.0</Expression>
<Expression name="m" n="2" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="-0.9999999999999964" prompt="Valeur">Expression &quot;-0.9999999999999964&quot; à 0.0, 0.0</Expression>
<Point name="A" n="3" mainparameter="true" x="-3.6881482602499203" y="2.277256261184204">Point</Point>
<Point name="B" n="4" mainparameter="true" x="-1.7303535049329595" y="2.2711443470813757">Point</Point>
<Function name="f1" n="5" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Point name="P8" n="6" color="2" hidden="super" showname="true" x="x(A)+1/d(A,B)*(x(B)-x(A))" actx="-2.688153133144236" y="y(A)+1/d(A,B)*(y(B)-y(A))" acty="2.2741344404195307" shape="circle" fixed="true">Point</Point>
<Point name="P1" n="7" color="2" hidden="true" target="true" x="x(A)+k*f1(m)*(x(P8)-x(A))" actx="-3.6881482602499203" y="y(A)+k*f1(m)*(y(P8)-y(A))" acty="2.277256261184204" shape="circle" fixed="true">Point</Point>
<Ray name="r1" n="8" type="thin" hidden="super" from="A" to="P1">Demi-droite d&apos;origine A vers P1</Ray>
<Circle name="c1" n="9" color="4" hidden="super" fixed="h" midpoint="P1" filled="true" acute="true">Cercle de centre P1 de rayon h</Circle>
<Plumb name="perp1" n="10" hidden="super" point="P1" line="r1" valid="true">Perpendiculaire passant par P1 à r1</Plumb>
<Intersection name="P2" n="11" color="2" hidden="super" showname="true" first="perp1" second="c1" shape="circle" which="first">Intersection entre perp1 et c1</Intersection>
<Intersection name="P3" n="12" color="2" hidden="super" showname="true" first="perp1" second="c1" shape="circle" which="second">Intersection entre perp1 et c1</Intersection>
<Segment name="s1" n="13" color="1" target="true" from="P2" to="P3">Segment de P2 à P3</Segment>
</Objects>
</Macro>
<Macro Name="mesmac/abq/OriginefabAB" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Objects>
<Point name="A" n="0" mainparameter="true" x="-3.66799546239735" y="1.9691827530280994">Point</Point>
<Point name="B" n="1" mainparameter="true" x="1.7540389535311842" y="3.278876366473687">Point</Point>
<Expression name="a" n="2" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="-0.375000000000016" prompt="Valeur">Expression &quot;-0.375000000000016&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="3" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="2.3749999999999947" prompt="Valeur">Expression &quot;2.3749999999999947&quot; à 0.0, 0.0</Expression>
<Function name="f1" n="4" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Expression name="E3" n="5" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="0.9832495641341854" y="-0.7677679278605529" value="d(A,B)/(f1(b)-f1(a))" prompt="mod">Expression &quot;d(A,B)/(f1(b)-f1(a))&quot; à 0.98325, -0.76777</Expression>
<Point name="P8" n="6" color="5" type="thick" showname="true" target="true" x="x(A)-E3*f1(a)*(x(B)-x(A))/d(A,B)" actx="-3.66799546239735" y="y(A)-E3*f1(a)*(y(B)-y(A))/d(A,B)" acty="1.9691827530280994" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
<Macro Name="mesmac/abq/ptMod" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Comment>
<P>Renvoie le point de coordonnées (mod,mod), où</P>
<P>mod =d(A;B)(/f1(b)-f1(a))</P>
</Comment>
<Objects>
<Point name="A" n="0" mainparameter="true" x="-3.9946987063084" y="2.814081778854675">Point</Point>
<Point name="B" n="1" mainparameter="true" x="-0.6812134348037144" y="3.373894358971905">Point</Point>
<Expression name="a" n="2" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="2.5000000000000027" prompt="Valeur">Expression &quot;2.5000000000000027&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="3" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="7.499999999999972" prompt="Valeur">Expression &quot;7.499999999999972&quot; à 0.0, 0.0</Expression>
<Function name="f1" n="4" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Point name="P8" n="5" color="2" target="true" x="d(A,B)/(f1(b)-f1(a))" actx="0.06720885289702894" y="d(A,B)/(f1(b)-f1(a))" acty="0.06720885289702894" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
</CaR>
